### Function

# EvinceDocument file_uncompress

#### Declaration [src]

    gchar*
    ev_file_uncompress (
      const gchar* uri,
      EvCompressionType type,
      GError** error
    )

#### Description [src]

Uncompresses the file at `uri`.

If `type` is `EV_COMPRESSION_NONE`, it does nothing and returns `NULL`.

Otherwise, it returns the filename of a temporary file containing the decompressed data from the file at `uri`. On error it returns `NULL` and fills in `error`.

It is the caller’s responsibility to unlink the temp file after use.

#### Parameters

`uri` | `const gchar*`
| A file URI.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`type` | `EvCompressionType`
| The compression type.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A newly allocated string URI, or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.